package com.zhentao.groups.MongoDB.pojo;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

@Slf4j
@Document(collection = "group_messages")
@Data
public class GroupMessage {
    @Id
    private String id;

    /**
     * 群ID
     */
    private Long groupId;

    /**
     * 发送者ID
     */
    private String senderId;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息类型
     */
    private String type;

    /**
     * 消息时间戳
     */
    private Long timestamp;

    /**
     * 创建时间
     */
    private Date createdAt;
}
