package com.zhentao.osspicture;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.model.PutObjectRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.UUID;

@Component
public class OssUtil {

    // 从配置文件中读取OSS相关信息
    private static final String endpoint = "https://oss-cn-beijing.aliyuncs.com";
    private static final String accessKeyId = "LTAI5tH9VHPZwGJu4UX3hrL5";
    private static final String accessKeySecret = "mbsutFJYLkzosvvKNr0DD28XSg4mqA";
    private static final String bucketName = "fjj1";

    public String uploadFile(MultipartFile file) throws IOException {
        // 创建OSSClient实例
        OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

        try {
            // 生成唯一的文件名
//            String fileName = UUID.randomUUID().toString() + "-" + file.getOriginalFilename();
            String originalFilename = file.getOriginalFilename();
            String extension = getFileExtension(originalFilename);
            String fileName = UUID.randomUUID().toString() + "." + extension;
            //上传图片
            PutObjectRequest putObjectRequest = new PutObjectRequest(
                    bucketName, fileName, file.getInputStream()
            );
            ossClient.putObject(putObjectRequest);

            // 拼接文件访问URL
            String endpointWithoutProtocol = endpoint.replaceFirst("^https?://", "");
            String imageUrl = "https://" + bucketName + "." + endpointWithoutProtocol + "/" + fileName;

            System.err.println(imageUrl);
            // 返回文件访问URL
            return imageUrl;


        }catch (IOException e){
            e.printStackTrace();
        } finally {
            // 关闭OSSClient
            ossClient.shutdown();
        }
        return null;
    }
    private String getFileExtension(String fileName) {
        if (fileName == null || !fileName.contains(".")) {
            return "jpg";
        }
        return fileName.substring(fileName.lastIndexOf(".") + 1).toLowerCase();
    }
}
